forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeff Turner <je...@apache.org>
Subject Making future Forrest upgrades less painful
Date Wed, 03 Sep 2003 12:26:20 GMT
Hi,

I was thinking, lots of projects like FOP have an overridden 0.4 sitemap.
These projects cannot be built out the box with Forrest 0.5.  The sitemap
needs to be ported to 0.5's.  Once that happens,  all users wishing to
build docs have to switch from 0.4 to 0.5 en-mass.

To prevent a similar situation in 0.5 -> 0.6, how about we let users
provide version-specific sitemaps:

src/documentation/sitemap-0.5.xmap

So if src/documentation/sitemap-<version>.xmap is found, it is used in
preference to src/documentation/sitemap.xmap.  That way, when we release
Forrest 0.6, people can still build projects with Forrest 0.5.

Thoughts?  Better ideas?  If not I'll have a go at doing this for 0.5.


--Jeff

Mime
View raw message